## neutron 2014.2.3

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=0.6,!=0.7,<1.0

Paste<=1.7.5.1
PasteDeploy>=1.5.0,<=1.5.2
Routes>=1.12.3,!=2.0,<=2.1
anyjson>=0.3.3,<=0.3.3
argparse
Babel>=1.3,<=1.3
eventlet>=0.15.1,<=0.15.2
greenlet>=0.3.2,<=0.4.2
httplib2>=0.7.5,<=0.9
requests>=2.1.0,!=2.4.0,<=2.2.1
iso8601>=0.1.9,<=0.1.10
jsonrpclib<=0.1.3
Jinja2<=2.7.2
keystonemiddleware>=1.0.0,<1.4.0
netaddr>=0.7.12,<=0.7.13
python-neutronclient>=2.3.6,<2.4.0
SQLAlchemy>=0.8.4,<=0.9.99,!=0.9.0,!=0.9.1,!=0.9.2,!=0.9.3,!=0.9.4,!=0.9.5,!=0.9.6
WebOb>=1.2.3,<=1.3.1
python-keystoneclient>=0.10.0,<=1.1.0
alembic>=0.6.4,<=0.7.4
six>=1.7.0,<=1.9.0
stevedore>=1.0.0,<=1.2.0 # Apache-2.0
oslo.config>=1.4.0,<=1.6.0 # Apache-2.0
oslo.db>=1.0.0,<1.1  # Apache-2.0
oslo.messaging>=1.4.0,<1.5.0
oslo.rootwrap>=1.3.0,<=1.5.0

python-novaclient>=2.18.0,<=2.20.0

=== debian/changelog ===
neutron (1:2014.2.3-0ubuntu2) utopic; urgency=medium

  * d/*.logrotate,neutron-common.logrotate: Backport from vivid,
    Move to single logrotate configuration. (LP: #1463844).

 -- Jorge Niedbalski <jorge.niedbalski@canonical.com>  Wed, 10 Jun 2015 10:29:50 -0500

neutron (1:2014.2.3-0ubuntu1) utopic; urgency=medium

  * Resynchronize with stable/juno (dbeaa70) (LP: #1443429):
    - [fe59efd] Don't eagerly load ranges from IPAllocationPool
    - [9e01647] lb-agent: use 'replace' instead of 'add' with 'bridge fdb'
    - [70786c6] Refactor logging in loop to only log debug messages once
    - [ddbad01] Deal with PEP-0476 certificate chaining checking
    - [3abee3b] ofagent: Fix port_dead
    - [48017f2] CSCO:Tenants not to access unshared n/w profiles
    - [61a5506] Use ryu.cfg.CONF for options from Ryu
    - [d329c22] attributes: Additional IP address validation
    - [5cb7a20] Default route missing for IPv6 subnets in HA Router
    - [7b0869b] Make del_fdb_flow() idempotent
    - [ff50c30] Hyper-V: Fixes security groups issue
    - [bd5f47c] Use DEVICE_OWNER_DVR_INTERFACE in NSX-mh plugin
    - [4856743] Make listing security groups faster
    - [e4aa290] Improve exception handling in _process_router_update()
    - [7ae879d] Correctly mock-out 'ip route...' calls in IPv6 test
    - [792aa82] Use HTTP BASIC AUTH exclusively (no longer use JSESSIONID)
    - [1fa38eb] Search in /sys/class/net for network devices
    - [c136f4f] Catch PortNotFound and SubnetNotFound during network_delete
    - [a52f19f] Setup br-tun in secure fail mode to avoid broadcast storms
    - [e22975a] Make sure we don't introduce oslo_* imports during backports
    - [a80999e] Configure IPv6 LLADDR only on master L3 HA instance
    - [99c6796] SIGHUP keepalived if L3 agent restarts
    - [edf0aab] Fix IPv6 RA security group rule for DVR
    - [9bb7eb5] Don't crash when adding duplicate gre allocation
    - [ed799e3] Pass '--dhcp-authoritative' option to dnsmasq
    - [41bfc2f] Fix extra-dhcp-opt on stateless dhcpv6 subnet
    - [7cd3d0c] Decrease rpc timeout after agent receives SIGTERM
    - [496d7a8] Fix floating-ips in error state in dvr mode
    - [6e9c760] Make prevent_l3_port_deletion handle missing port
    - [a861b88] Ignore 404 error and lower a warning log to info

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 21 Apr 2015 09:30:40 -0400

neutron (1:2014.2.2-0ubuntu1) utopic; urgency=medium

  [ Corey Bryant ]
  * Resynchronize with stable/juno (615e2d6) (LP: #1418695):
    - [3f73028] Configures RADVD to send managed flag in RA for DHCP_STATEFUL
    - [57bbce1] Arista L3 Ops is success if it is successful on one peer
    - [c1e2941] Fixes blocking of VRF config in Arista L3 Plugin
    - [81f1a7b] Do not duplicate message consumers
    - [fbabf07] If router is HA, get current_cidrs from keepalived object
    - [3332d4f] Fix AttributeError during startup of ovs agent in DVR mode
    - [755f2ad] Fix IP allocation for multiple slaac subnets
    - [e27f00d] Fix IPv6 Subnet Slaac Check
    - [88b73e6] Catch StaleDataError in update_device_down
    - [6d9dd88] Speed up initial L3 full sync time
    - [dbc630a] Make L3 HA VIPs ordering consistent in keepalived.conf
    - [82bf4af] Specify prefix length for IPv6 subnets
    - [42630f9] Fix for KeyError: 'gw_port_host' on l3_agent
    - [7c82512] NSX: synchronize floating IP operations
    - [5531d6d] NSX: Remove logic for creating chained logical switches
    - [b80a68e] [apic ml2] Bind ports regardless of the owner
    - [175e869] Reset policies after RESOURCE_ATTRIBUTE_MAP is populated
    - [66a91dd] Use stop() method on MessageHandlingServer
    - [097607a] Issue warning when running DHCP agent with dnsmasq < 2.67
    - [560ef81] Fix neutron hang for IPv6 allocation pool update
    - [f979dd6] Fix for FIPs duplicated across hosts for DVR
    - [327e325] ipv6: set OtherConfig flag for DHCPv6 stateless subnets
    - [6c490a9] radvd: pass -m syslog to avoid thread lock for radvd 2.0+
    - [a89ae1b] Eventlet green threads not released back to pool
    - [c6ef4e8] return the dict of port when no sec-group involved
    - [ab8f277] Moves the HA resource creations outside of transaction
    - [b776d19] Delete FIP namespace when last VM is deleted
    - [81ecf5b] Fix race condition on processing DVR floating IPs
    - [b297604] Fix a race condition adding a security group rule
    - [2f97180] Auto allocate gateway_ip even for SLAAC subnets
    - [6068320] Fix enable_metadata_network flag
    - [c96217a] Teach DHCP Agent about DVR router interfaces
    - [615e2d6] BSN: Optimistic locking strategy for consistency
  * d/control: Bump minimum python-eventlet to get socket_timeout support.
    (LP: #1419117).

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 09 Feb 2015 15:36:16 -0500

neutron (1:2014.2.1-0ubuntu1) utopic; urgency=medium

  [ Corey Bryant ]
  * Resynchronize with stable/juno (330ca81) (LP: #1398952):
    - [209160b] Fix hostname validation for nameservers
    - [d7ee2ff] Alter execute_alembic_command() to not assume all commands
    - [3e1d3a7] Prevent an iteration through ports on IPv6 slaac
    - [93f2536] Fix handling of CIDR in allowed address pairs
    - [8b5c08b] Fix metadata proxy start problem for v6-v4 network
    - [c00b4b3] Convert all incoming protocol numbers to string
    - [56b0029] linuxbridge-agent: make vxlan unicast check more efficent
    - [63b4337] Subnet delete for IPv6 SLAAC should not require prior port disassoc
    - [d09ba29] Fix context.elevated
    - [467a449] Drop and recreate FK if adding new PK to routerl3bindings
    - [87311b0] BSN: include missing data in floating IP call
    - [ad6fefc] Fix hostname regex pattern
    - [ba647ca] BSN: Set inconsistency record on delete failure
    - [c7954ab] fix event_send for re-assign floating ip
    - [b0d3e74] Fix KeyError in dhcp_rpc when plugin.port_update raise exception
    - [4e7b97e] rootwrap config files reference deleted quantum binaries


## neutron 2014.2.4

=== debian/changelog ===
neutron (1:2014.2.4-0ubuntu1~cloud1) trusty-juno; urgency=medium

  * d/rules: Prevent dh_python2 from guessing dependencies.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 23 Nov 2015 16:51:57 -0500

neutron (1:2014.2.4-0ubuntu1~cloud0) trusty-juno; urgency=medium

  * Resynchronize with stable/juno (6687864) (LP: #1518323):
    - [b1263ff] Resubmit of "Remove bridge cleanup call" fix
    - [fb58b4b] Fix inconsistency in DHCPv6 hosts and options generation
    - [0aec542] Do not log an error when deleting a linuxbridge does not exist
    - [c9fb192] usage_audit: Fix usage_audit to work with ML2
    - [58904f3] Process user iptables rules before INVALID
    - [f0bb982] Wrap ML2 delete_port with db retry decorator
    - [d567d57] Fix ipset can't be destroyed when last rule is deleted
    - [1b73fbd] Add ARP spoofing protection for LinuxBridge agent
    - [2fb89ce] ovs: don't use ARP responder for IPv6 addresses
    - [ebb0c54] Stop device_owner from being set to 'network:*'
    - [2f344ee] Fix a wrong condition for the _purge_metering_info function
    - [5bc885d] NSX-mh: perform appropriate pre-delete checks
    - [429bb32] NSX-mh: use router_distributed flag
    - [6410e01] Remove bridge cleanup call
    - [1baa2d7] NSX-mh: Failover controller connections on socket failures
    - [34f2d65] Modify ipset functional tests to pass on older machines
    - [0e258b0] NSX-mh: Prevent failures on router delete
    - [15cb18b] Allow to request metadata proxy only with redirection
    - [580f6c6] Allow IptablesManager to manage mangle table
    - [98b6cd8] Adds garp_master_repeat and garp_master_refresh to keepalived.conf
    - [e0486f3] Add support for dhcp extra opt
    - [9cfcd32] Lower log level of errors caused by user requests to INFO
    - [73be7e7] MH: Limit enabled versions for agentless mode
    - [17c6bc5] Arista ML2 driver should ignore non-vlan networks
    - [07d3d44] Randomize tunnel id query to avoid contention
    - [4b8db7b] In Arista ML2 driver Reconfigure VLAN on VM migration
    - [af0edbe] Hyper-V: Fix for ICMP rule deletion
    - [f548775] Allow to request metadata proxy only from internal interfaces
    - [ab3046d] Fix tenant-id in Arista ML2 driver to support HA router
    - [4cd1b58] Refactor retry mechanism used in some DB operations
    - [86701a3] NSX QoS ext: RXTX factor can be decimal
    - [91b39ca] NSX-mh: fix default l2 gw connections
    - [884013c] Fixes Multiple External Networks issue with DVR
    - [d9c7888] Disable allowed_address_pair ip 0.0.0.0/0 ::/0 for ipset
    - [f11aa03] L3 agent should do report state before full sync at start
    - [44cb3c1] Hyper-V: Fixes Security Group Driver ICMPv6 rules
    - [53f238e] Fixes Hyper-V agent stateful security group rules
    - [ea63062] Fixes sync between Arista ML2 driver and EOS
    - [f434e7b] Process port IP requests before subnet requests
    - [cf8f5c9] Match order of iptables arguments to iptables-save
    - [11e4166] Persist DHCP leases to a local database
    - [1e6c2ed] ML2: Change port status only when it's bound to the host
    - [0325b98] Set IPset hash type to 'net' instead of 'ip'
    - [0d0675b] Fixes floating IP regression with multiple routers
    - [036133f] Router is not unscheduled when the last port is deleted
    - [9b18228] Remove locking from network and subnet delete op
    - [3017406] Fixes race condition and boosts the scheduling performance
    - [17850aa] Don't resync on DHCP agent setup failure
    - [59b9735] tests: confirm that _output_hosts_file does not log too often
    - [6d3d622] Ensure metadata network works with DVR
    - [aafe03f] Defer creation of router JSON in get_routers RPC
    - [4a69a64] Remove double queries in l3 DB get methods
    - [3fbb39c] Set loading strategy to joined for Routerport/Port
    - [fc0ae03] VMware NSX: Fix DVR operations
    - [96d472d] Return from check_ports_exist_on_l3agent if no subnet found
    - [6f6d861] Missing entry points for cisco apic topology agents
    - [1dcb072] Fixes Hyper-V agent port disconnect issue
    - [6687864] Fixes Hyper-V 2008 R2 agent VLAN Settings issue
  * d/neutron-plugin-cisco.install: Install neutron-cisco-apic-host-agent
    and neutron-cisco-apic-service-agent.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 20 Nov 2015 15:34:02 -0500

=== debian/control ===
Source: neutron
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends: debhelper (>= 8.0.0), python-all (>= 2.6)
Build-Depends-Indep:
 alembic (>= 0.6.4),
 python-anyjson (>= 0.3.3),
 python-babel (>= 1.3),
 python-cliff (>= 1.6.0),
 python-coverage,
 python-eventlet (>= 0.13.0-1ubuntu3.1~),
 python-fixtures (>= 0.3.14),
 python-greenlet (>= 0.3.2),
 python-hacking (>= 0.9.2),
 python-httplib2 (>= 0.7.5),
 python-iso8601 (>= 0.1.9),
 python-jinja2,
 python-jsonrpclib,
 python-keystoneclient (>= 1:0.10.0),
 python-keystonemiddleware (>= 1.0.0),
 python-mock (>= 1.0),
 python-netaddr (>= 0.7.12),
 python-neutronclient (>= 1:2.3.6),
 python-novaclient (>= 1:2.18.0),
 python-oslo.config (>= 1:1.4.0.0~a3),
 python-oslo.db (>= 0.4.0),
 python-oslo.messaging (>= 1.4.0.0~a3),
 python-oslo.rootwrap (>= 1.3.0.0~a1),
 python-paste,
 python-pastedeploy,
 python-pbr (>= 0.6),
 python-requests (>= 1.2.1),
 python-requests-mock,
 python-routes (>= 1.12.3),
 python-setuptools,
 python-simplejson,
 python-six (>= 1.7.0),
 python-sqlalchemy (>= 0.8.4),
 python-stevedore (>= 0.14),
 python-testtools (>= 0.9.34),
 python-webob (>= 1.2.3),
 python-webtest (>= 2.0),
 subunit,
 testrepository ( >= 0.0.18)
XS-Python-Version: >= 2.6
Standards-Version: 3.9.4
Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/neutron/juno/files
Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/neutron/juno
XS-Testsuite: autopkgtest

Package: neutron-server
Architecture: all
Depends:
 adduser,
 neutron-common (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Breaks: quantum-server (<< 1:2013.2~b2-0ubuntu1~)
Replaces: quantum-server (<< 1:2013.2~b2-0ubuntu1~)
Recommends: neutron-plugin-ml2
Description: Neutron is a virtual network service for Openstack - server
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Neutron server

Package: neutron-common
Architecture: all
Depends:
 adduser,
 ipset,
 python-neutron (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends}
Breaks:
 neutron-l3-agent (<< 1:2014.1~rc2-0ubuntu3~),
 neutron-vpn-agent (<< 1:2014.1~rc2-0ubuntu3~),
 quantum-common ( << 1:2013.2~b2-0ubuntu1~ )
Replaces:
 neutron-l3-agent (<< 1:2014.1~rc2-0ubuntu3~),
 neutron-vpn-agent (<< 1:2014.1~rc2-0ubuntu3~),
 quantum-common ( << 1:2013.2~b2-0ubuntu1~ )
Description: Neutron is a virtual network service for Openstack - common
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the common files.

Package: neutron-plugin-cisco
Architecture: all
Provides: neutron-plugin
Depends:
 neutron-common (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Breaks: quantum-plugin-cisco ( << 1:2013.2~b2-0ubuntu1~ )
Replaces: quantum-plugin-cisco ( << 1:2013.2~b2-0ubuntu1~ )
Description: Neutron is a virtual network service for Openstack - Cisco plugin
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Cisco plugin.

Package: neutron-plugin-nec
Architecture: all
Provides: neutron-plugin
Depends:
 neutron-common (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Breaks: quantum-plugin-nec ( << 1:2013.2~b2-0ubuntu1~ )
Replaces: quantum-plugin-nec ( << 1:2013.2~b2-0ubuntu1~ )
Description: Neutron is a virtual network service for Openstack - NEC plugin
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the NEC plugin.

Package: neutron-plugin-nec-agent
Architecture: all
Depends:
 neutron-common (= ${source:Version}),
 neutron-plugin-nec,
 openvswitch-switch,
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Breaks: quantum-plugin-nec-agent ( << 1:2013.2~b2-0ubuntu1~ )
Replaces: quantum-plugin-nec-agent ( << 1:2013.2~b2-0ubuntu1~ )
Description: Neutron is a virtual network service for Openstack - NEC plugin agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the NEC plugin agent.

Package: neutron-plugin-bigswitch
Architecture: all
Provides: neutron-plugin
Depends:
 neutron-common (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Breaks: quantum-plugin-bigswitch ( << 1:2013.2~b2-0ubuntu1~ )
Replaces: quantum-plugin-bigswitch ( << 1:2013.2~b2-0ubuntu1~ )
Description: Neutron is a virtual network service for Openstack - BigSwitch plugin
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the BigSwitch plugin.

Package: neutron-plugin-bigswitch-agent
Architecture: all
Depends:
 neutron-plugin-bigswitch (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Description: Neutron is a virtual network service for Openstack - BigSwitch plugin agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the BigSwitch plugin agent.

Package: neutron-plugin-hyperv
Architecture: all
Provides: neutron-plugin
Depends:
 neutron-common (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Breaks: quantum-plugin-hyperv ( << 1:2013.2~b2-0ubuntu1~ )
Replaces: quantum-plugin-hyperv ( << 1:2013.2~b2-0ubuntu1~ )
Description: Neutron is a virtual network service for Openstack - Hyper-V plugin
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Hyper-V plugin.

Package: neutron-plugin-brocade
Architecture: all
Provides: neutron-plugin
Depends:
 neutron-common (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Breaks: quantum-plugin-brocade ( << 1:2013.2~b2-0ubuntu1~ )
Replaces: quantum-plugin-brocade ( << 1:2013.2~b2-0ubuntu1~ )
Description: Neutron is a virtual network service for Openstack - Brocade plugin
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Brocade plugin.

Package: neutron-plugin-plumgrid
Architecture: all
Provides: neutron-plugin
Depends:
 neutron-common (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Breaks: quantum-plugin-plumgrid ( << 1:2013.2~b2-0ubuntu1~ )
Replaces: quantum-plugin-plumgrid ( << 1:2013.2~b2-0ubuntu1~ )
Description: Neutron is a virtual network service for Openstack - PLUMgrid plugin
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the PLUMgrid plugin.

Package: neutron-plugin-metaplugin
Architecture: all
Provides: neutron-plugin
Depends:
 neutron-common (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Breaks: quantum-plugin-metaplugin ( << 1:2013.2~b2-0ubuntu1~ )
Replaces: quantum-plugin-metaplugin ( << 1:2013.2~b2-0ubuntu1~ )
Description: Neutron is a virtual network service for Openstack - Metaplugin plugin
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Metaplugin plugin.

Package: neutron-plugin-vmware
Architecture: all
Provides: neutron-plugin
Depends:
 neutron-common (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Breaks: neutron-plugin-nicira ( << 1:2014.1~b2-0ubuntu7~ )
Replaces: neutron-plugin-nicira ( << 1:2014.1~b2-0ubuntu7~ )
Description: Neutron is a virtual network service for Openstack - VMware plugin

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@  --with python2

override_dh_python2:
	dh_python2 --no-guessing-deps

override_dh_install:
	dh_install --fail-missing -X/usr/etc

override_dh_installinit:
	dh_installinit
	dh_installinit -pneutron-plugin-openvswitch-agent --no-start --name=neutron-ovs-cleanup

override_dh_auto_clean:
	dh_clean

get-orig-source:
	uscan --verbose --force-download --rename --destdir=../build-area

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	# Unpatch quantum configuration to fixup tests which conflict
	# with a core_plugin being set.
	patch -p1 -R < debian/patches/fix-neutron-configuration.patch
	# Set a reasonable level of concurrency
	./run_tests.sh -N -P
	# Patch configuration file after testing
	patch -p1 < debian/patches/fix-neutron-configuration.patch
endif

## neutron 2015.1~rc1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=0.6,!=0.7,<1.0

Paste
PasteDeploy>=1.5.0
Routes>=1.12.3,!=2.0
eventlet>=0.16.1,!=0.17.0
greenlet>=0.3.2
httplib2>=0.7.5
requests>=2.2.0,!=2.4.0
jsonrpclib
Jinja2>=2.6  # BSD License (3 clause)
keystonemiddleware>=1.5.0
netaddr>=0.7.12
python-neutronclient>=2.3.11,<3
retrying>=1.2.3,!=1.3.0 # Apache-2.0
SQLAlchemy>=0.9.7,<=0.9.99
WebOb>=1.2.3
python-keystoneclient>=1.1.0
alembic>=0.7.2
six>=1.9.0
stevedore>=1.3.0,<1.4.0  # Apache-2.0
oslo.concurrency>=1.8.0,<1.9.0         # Apache-2.0
oslo.config>=1.9.3,<1.10.0  # Apache-2.0
oslo.context>=0.2.0,<0.3.0                     # Apache-2.0
oslo.db>=1.7.0,<1.8.0  # Apache-2.0
oslo.i18n>=1.5.0,<1.6.0  # Apache-2.0
oslo.log>=1.0.0,<1.1.0  # Apache-2.0
oslo.messaging>=1.8.0,<1.9.0  # Apache-2.0
oslo.middleware>=1.0.0,<1.1.0                  # Apache-2.0
oslo.rootwrap>=1.6.0,<1.7.0  # Apache-2.0
oslo.serialization>=1.4.0,<1.5.0               # Apache-2.0
oslo.utils>=1.4.0,<1.5.0                       # Apache-2.0

python-novaclient>=2.22.0

=== neutron/plugins/vmware/requirements.txt ===
vmware-nsx

=== neutron/tests/functional/requirements.txt ===
# Additional requirements for functional tests

# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

psycopg2
MySQL-python

=== neutron/plugins/ml2/drivers/ofagent/requirements.txt ===
networking-ofagent>=2015.1,<2015.2

=== debian/control ===
--- 
+++ 
@@ -3,51 +3,66 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Chuck Short <zulcss@ubuntu.com>
-Build-Depends: debhelper (>= 8.0.0), python-all (>= 2.6)
+Build-Depends:
+ debhelper (>= 9~),
+ dh-systemd,
+ openstack-pkg-tools (>= 21ubuntu4~),
+ python-all (>= 2.6)
 Build-Depends-Indep:
- alembic (>= 0.6.4),
- python-anyjson (>= 0.3.3),
- python-babel (>= 1.3),
- python-cliff (>= 1.6.0),
- python-coverage,
- python-eventlet (>= 0.13.0-1ubuntu3.1~),
+ alembic (>= 0.7.2),
+ python-cliff (>= 1.10.1),
+ python-coverage (>= 3.6),
+ python-eventlet (>= 0.16.1),
  python-fixtures (>= 0.3.14),
  python-greenlet (>= 0.3.2),
- python-hacking (>= 0.9.2),
+ python-hacking (>= 0.10.0),
  python-httplib2 (>= 0.7.5),
  python-iso8601 (>= 0.1.9),
- python-jinja2,
+ python-jinja2 (>= 2.6),
  python-jsonrpclib,
- python-keystoneclient (>= 1:0.10.0),
- python-keystonemiddleware (>= 1.0.0),
+ python-keystoneclient (>= 1:1.1.0),
+ python-keystonemiddleware (>= 1.5.0),
  python-mock (>= 1.0),
  python-netaddr (>= 0.7.12),
- python-neutronclient (>= 1:2.3.6),
+ python-neutronclient (>= 1:2.3.11),
  python-novaclient (>= 1:2.18.0),
- python-oslo.config (>= 1:1.4.0.0~a3),
- python-oslo.db (>= 0.4.0),
- python-oslo.messaging (>= 1.4.0.0~a3),
- python-oslo.rootwrap (>= 1.3.0.0~a1),
+ python-oslo-concurrency (>= 1.8.0),
+ python-oslo-config (>= 1:1.9.3),
+ python-oslo-context (>= 0.2.0),
+ python-oslo-db (>= 1.7.0),
+ python-oslo-i18n (>= 1.5.0),
+ python-oslo-log (>= 1.0.0),
+ python-oslo-messaging (>= 1.8.0),
+ python-oslo-middleware (>= 1.0.0),
+ python-oslo-rootwrap (>= 1.6.0),
+ python-oslo-serialization (>= 1.4.0),
+ python-oslo-utils (>= 1.4.0),
+ python-oslosphinx (>= 2.2.0),
+ python-oslotest (>= 1:1.2.0),
  python-paste,
- python-pastedeploy,
+ python-pastedeploy (>= 1.5.0),
  python-pbr (>= 0.6),
- python-requests (>= 1.2.1),
- python-requests-mock,
+ python-requests (>= 2.2.0),
+ python-requests-mock (>= 0.5.1),
+ python-retrying (>= 1.2.3),
  python-routes (>= 1.12.3),
  python-setuptools,
  python-simplejson,
- python-six (>= 1.7.0),
- python-sqlalchemy (>= 0.8.4),
- python-stevedore (>= 0.14),
- python-testtools (>= 0.9.34),
+ python-six (>= 1.9.0),
+ python-sphinx (>= 1.1.2),
+ python-sqlalchemy (>= 0.9.7),
+ python-stevedore (>= 1.3.0),
+ python-subunit (>= 0.0.18),
+ python-tempest-lib (>= 0.3.0),
+ python-testscenarios (>= 0.4),
+ python-testtools (>= 0.9.36),
  python-webob (>= 1.2.3),
  python-webtest (>= 2.0),
- subunit,
- testrepository ( >= 0.0.18)
+ testrepository ( >= 0.0.18),
 XS-Python-Version: >= 2.6
-Standards-Version: 3.9.4
-Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/neutron/juno/files
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/neutron/juno
+Standards-Version: 3.9.6
+Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/neutron/kilo/files
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/neutron/kilo
 XS-Testsuite: autopkgtest
 
 Package: neutron-server
@@ -79,6 +94,7 @@
  adduser,
  ipset,
  python-neutron (= ${source:Version}),
+ python-neutron-fwaas,
  ${misc:Depends},
  ${python:Depends}
 Breaks:
@@ -96,6 +112,7 @@
  dynamically request and configure virtual networks. These networks
  connect "interfaces" from other OpenStack services (e.g., virtual NICs
  from Nova VMs). The Neutron API supports extensions to provide
+ python-pbr (>= 0.6),
  advanced network capabilities (e.g., QoS, ACLs, network monitoring,
  etc.)
  .
@@ -209,28 +226,6 @@
  .
  This package provides the BigSwitch plugin agent.
 
-Package: neutron-plugin-hyperv
-Architecture: all
-Provides: neutron-plugin
-Depends:
- neutron-common (= ${source:Version}),
- ${misc:Depends},
- ${python:Depends},
- ${shlibs:Depends}
-Breaks: quantum-plugin-hyperv ( << 1:2013.2~b2-0ubuntu1~ )
-Replaces: quantum-plugin-hyperv ( << 1:2013.2~b2-0ubuntu1~ )
-Description: Neutron is a virtual network service for Openstack - Hyper-V plugin
- Neutron is a virtual network service for Openstack, and a part of
- Netstack. Just like OpenStack Nova provides an API to dynamically
- request and configure virtual servers, Neutron provides an API to
- dynamically request and configure virtual networks. These networks
- connect "interfaces" from other OpenStack services (e.g., virtual NICs
- from Nova VMs). The Neutron API supports extensions to provide
- advanced network capabilities (e.g., QoS, ACLs, network monitoring,
- etc.)
- .
- This package provides the Hyper-V plugin.
-
 Package: neutron-plugin-brocade
 Architecture: all
 Provides: neutron-plugin
@@ -308,3 +303,9 @@
 Breaks: neutron-plugin-nicira ( << 1:2014.1~b2-0ubuntu7~ )
 Replaces: neutron-plugin-nicira ( << 1:2014.1~b2-0ubuntu7~ )
 Description: Neutron is a virtual network service for Openstack - VMware plugin
+ Neutron is a virtual network service for Openstack, and a part of
+ Netstack. Just like OpenStack Nova provides an API to dynamically
+ request and configure virtual servers, Neutron provides an API to
+ dynamically request and configure virtual networks. These networks
+ connect "interfaces" from other OpenStack services (e.g., virtual NICs
+ from Nova VMs). The Neutron API supports extensions to provide

## neutron 2015.1.0

=== requirements.txt ===
--- 
+++ 
@@ -12,13 +12,13 @@
 requests>=2.2.0,!=2.4.0
 jsonrpclib
 Jinja2>=2.6  # BSD License (3 clause)
-keystonemiddleware>=1.5.0
+keystonemiddleware>=1.5.0,<1.6.0
 netaddr>=0.7.12
-python-neutronclient>=2.3.11,<3
+python-neutronclient>=2.3.11,<2.5.0
 retrying>=1.2.3,!=1.3.0 # Apache-2.0
 SQLAlchemy>=0.9.7,<=0.9.99
 WebOb>=1.2.3
-python-keystoneclient>=1.1.0
+python-keystoneclient>=1.1.0,<1.4.0
 alembic>=0.7.2
 six>=1.9.0
 stevedore>=1.3.0,<1.4.0  # Apache-2.0
@@ -34,4 +34,4 @@
 oslo.serialization>=1.4.0,<1.5.0               # Apache-2.0
 oslo.utils>=1.4.0,<1.5.0                       # Apache-2.0
 
-python-novaclient>=2.22.0
+python-novaclient>=2.22.0,<2.24.0

=== debian/changelog ===
neutron (2015.1.0-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Thomas Goirand <zigo@debian.org>  Tue, 12 May 2015 12:14:12 +0200

=== debian/control ===
Source: neutron
Section: net
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>, Gustavo Panizzo <gfa@zumbi.com.ar>,
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 23~),
               po-debconf,
               python-all,
               python-pbr,
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: alembic (>= 0.7.2),
                     bridge-utils,
                     python-cliff (>= 1.10.0),
                     python-coverage,
                     python-eventlet (>= 0.16.1),
                     python-fixtures,
                     python-gflags,
                     python-greenlet,
                     python-hacking,
                     python-httplib2,
                     python-jinja2,
                     python-jsonrpclib,
                     python-keystoneclient (>= 1:1.1.0),
                     python-keystonemiddleware (>= 1.5.0),
                     python-mock,
                     python-netaddr,
                     python-neutronclient (>= 2.3.11),
                     python-novaclient (>= 2:2.22.0),
                     python-oslo.concurrency (>= 1.8.0),
                     python-oslo.config (>= 1:1.9.3),
                     python-oslo.context (>= 0.2.0),
                     python-oslo.db (>= 1.7.0),
                     python-oslo.i18n (>= 1.5.0),
                     python-oslo.log (>= 1.0.0),
                     python-oslo.messaging (>= 1.8.0),
                     python-oslo.middleware (>= 1.0.0),
                     python-oslo.rootwrap (>= 1.6.0),
                     python-oslo.serialization (>= 1.4.0),
                     python-oslo.utils (>= 1.4.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.5.1),
                     python-paste,
                     python-pastedeploy,
                     python-pyudev,
                     python-requests,
                     python-requests-mock (>= 0.6.0),
                     python-retrying,
                     python-routes,
                     python-six (>= 1.9.0),
                     python-sqlalchemy,
                     python-stevedore (>= 1.3.0),
                     python-tempest-lib (>= 0.4.0),
                     python-testscenarios,
                     python-testtools,
                     python-unittest2,
                     python-webob,
                     python-webtest,
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Homepage: http://neutron.openstack.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/neutron.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/neutron.git

Package: python-neutron
Architecture: all
Section: python
Pre-Depends: dpkg (>= 1.15.6~)
Depends: alembic (>= 0.7.2),
         conntrack,
         iproute2,
         ipset,
         python-eventlet (>= 0.16.1),
         python-gflags,
         python-greenlet,
         python-httplib2,
         python-jinja2,
         python-jsonrpclib,
         python-keystoneclient (>= 1:1.1.0),
         python-keystonemiddleware (>= 1.5.0),
         python-mysqldb,
         python-netaddr,
         python-neutronclient (>= 2.3.11),
         python-novaclient (>= 2:2.22.0),
         python-oslo.concurrency (>= 1.8.0),
         python-oslo.config (>= 1:1.9.3),
         python-oslo.context (>= 0.2.0),
         python-oslo.db (>= 1.7.0),
         python-oslo.i18n (>= 1.5.0),
         python-oslo.log (>= 1.0.0),
         python-oslo.messaging (>= 1.8.0),
         python-oslo.middleware (>= 1.0.0),
         python-oslo.rootwrap (>= 1.6.0),
         python-oslo.serialization (>= 1.4.0),
         python-oslo.utils (>= 1.4.0),
         python-paste,
         python-pastedeploy,
         python-pbr,
         python-psycopg2,
         python-pyudev,
         python-requests,
         python-retrying,
         python-routes,
         python-six (>= 1.9.0),
         python-sqlalchemy,
         python-stevedore (>= 1.3.0),
         python-webob,
         ${misc:Depends},
         ${python:Depends},
Recommends: iputils-arping
Replaces: neutron-plugin-linuxbridge-agent (<<2015.1~b3-1),
          neutron-plugin-openvswitch-agent (<<2015.1~b3-1)
Breaks: neutron-plugin-linuxbridge-agent (<<2015.1~b3-1),
        neutron-plugin-openvswitch-agent (<<2015.1~b3-1)
Provides: ${python:Provides}
Description: OpenStack virtual network service - Python library
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Python library.

Package: neutron-server
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: adduser,
         debconf,
         lsb-base,
         neutron-common (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Description: OpenStack virtual network service - server
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Neutron server.

Package: neutron-common
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: adduser,
         dbconfig-common,
         debconf,
         dpkg-dev,
         python-mysqldb,
         python-neutron (= ${source:Version}),
         python-pyparsing (>=1.5.7),
         python-sqlalchemy,
         sqlite3,
         ${misc:Depends},
         ${python:Depends}
Provides: neutron-plugin,
          neutron-plugin-bigswitch,
          neutron-plugin-brocade,
          neutron-plugin-cisco,
          neutron-plugin-hyperv,
          neutron-plugin-linuxbridge,
          neutron-plugin-metaplugin,
          neutron-plugin-ml2,
          neutron-plugin-nec,
          neutron-plugin-nicira,
          neutron-plugin-openvswitch,
          neutron-plugin-plumgrid,
          neutron-plugin-ryu,
          python-argparse
Replaces: neutron-plugin-linuxbridge-agent (<<2015.1~b3-1),
          neutron-plugin-openvswitch-agent (<<2015.1~b3-1)
Breaks: neutron-plugin-linuxbridge-agent (<<2015.1~b3-1),
        neutron-plugin-openvswitch-agent (<<2015.1~b3-1)
Description: OpenStack virtual network service - common files
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the common files.

Package: neutron-plugin-nec-agent
Architecture: all
Provides: neutron-plugin
Pre-Depends: dpkg (>= 1.15.6~)
Depends: neutron-common (= ${source:Version}),
         sudo,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Description: OpenStack virtual network service - NEC agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the NEC plugin agent.

Package: neutron-l3-agent
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: adduser,
         debconf,
         iputils-arping,
         keepalived,
         neutron-common (= ${source:Version}),
         sudo,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Recommends: openvswitch-switch
Conflicts: neutron-vpn-agent
Description: OpenStack virtual network service - l3 agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the l3 agent.

Package: neutron-dhcp-agent
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: adduser,
         dnsmasq-base (>= 2.63),
         dnsmasq-utils (>= 2.63),
         neutron-common (= ${source:Version}),
         sudo,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Description: OpenStack virtual network service - DHCP agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the DHCP agent.

Package: neutron-metadata-agent
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: adduser,
         neutron-common (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Description: OpenStack virtual network service - metadata agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the metadata proxy agent.

Package: neutron-metering-agent
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: adduser,
         debconf,
         lsb-base,
         neutron-common (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Provides: neutron-plugin-metering-agent
Description: OpenStack virtual network service - metering agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Neutron metering agent.

Package: neutron-openvswitch-agent
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~), openvswitch-switch (>= 1.9)
Replaces: neutron-plugin-openvswitch-agent (<<2015.1~b3-1)
Breaks: neutron-plugin-openvswitch-agent (<<2015.1~b3-1)
Provides: neutron-plugin-openvswitch-agent
Depends: neutron-common (= ${source:Version}),
         sudo,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Recommends: openvswitch-datapath-dkms
Description: OpenStack virtual network service - Open vSwitch agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Open vSwitch agent. If you choose to use the Open
 vSwitch plugin on neutron-server, this agent should run on each compute node.

Package: neutron-linuxbridge-agent
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Replaces: neutron-plugin-linuxbridge-agent (<<2015.1~b3-1)
Breaks: neutron-plugin-linuxbridge-agent (<<2015.1~b3-1)
Provides: neutron-plugin-linuxbridge-agent
Depends: bridge-utils,
         neutron-common (= ${source:Version}),
         sudo,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(VERSION)

PYTHONS:=$(shell pyversions -vr)

%:
	dh $@ --buildsystem=python_distutils --with python2,systemd

override_dh_auto_install:
	echo "Nothing to do!"
#	dh_auto_install
#	find . -type d -name tests | xargs rm -fr
#	for i in neutron/db/migration/alembic_migrations/versions/*.py ; do \
#		install -D -m 0664 $$i debian/tmp/usr/lib/python2.6/dist-packages/$$i ; \
#		install -D -m 0664 $$i debian/tmp/usr/lib/python2.7/dist-packages/$$i ; \
#	done

override_dh_install:
	set -e ; for pyvers in $(PYTHONS) ; do \
		python$$pyvers setup.py install --install-layout=deb --root=$(CURDIR)/debian/neutron-common ; \
		python$$pyvers setup.py install --install-layout=deb --root=$(CURDIR)/debian/tmp ; \
		mkdir -p $(CURDIR)/debian/python-neutron/usr/lib/python$$pyvers/dist-packages ; \
		cp -auxf neutron $(CURDIR)/debian/python-neutron/usr/lib/python$$pyvers/dist-packages ; \
	done
	dh_install -O--buildsystem=python_distutils --fail-missing -X/usr/etc -X/usr/bin
	rm -rf $(CURDIR)/debian/neutron-common/usr/lib
	rm -rf $(CURDIR)/debian/neutron-common/usr/bin/quantum*
	rm -rf $(CURDIR)/debian/neutron-common/usr/etc

	install -D -m 0640 etc/neutron/plugins/openvswitch/ovs_neutron_plugin.ini       $(CURDIR)/debian/neutron-common/usr/share/neutron-common/ovs_neutron_plugin.ini

	install -D -m 0640 etc/metadata_agent.ini					$(CURDIR)/debian/neutron-metadata-agent/usr/share/neutron-metadata-agent/metadata_agent.ini
	sed -i -e 's|^# nova_metadata_ip = 127.0.0.1|nova_metadata_ip = 127.0.0.1|'	$(CURDIR)/debian/neutron-metadata-agent/usr/share/neutron-metadata-agent/metadata_agent.ini

	# Move the OVS config file, since we use debconf for it
	rm $(CURDIR)/debian/neutron-common/etc/neutron/plugins/openvswitch/ovs_neutron_plugin.ini
	install -D -m 0640 etc/neutron/plugins/openvswitch/ovs_neutron_plugin.ini $(CURDIR)/debian/neutron-common/usr/share/neutron-common/ovs_neutron_plugin.ini

override_dh_auto_clean:
	dh_auto_clean
	rm -f neutron/vcsversion.py
	find . -type f -name "*.pyc" | xargs rm -fr
	rm -rf build neutron.egg-info
	rm -rf setuptools_git-*-py*.egg/
	rm -f debian/neutron-common.config \
		debian/neutron-common.postinst \
		debian/neutron-server.config \
		debian/neutron-server.postinst \
		debian/neutron-dhcp-agent.postinst \
		debian/neutron-metadata-agent.config \
		debian/neutron-metadata-agent.postinst
	rm -f debian/*.init debian/*.service debian/*.upstart

override_dh_clean:
	dh_clean
	find . -type f -name "*.pyc" -delete

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=build/* ./run_tests.sh -N -P || true
endif

override_dh_auto_build:
	dh_auto_build -O--buildsystem=python_distutils

	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func neutron-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func neutron-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func neutron-server.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func neutron-server.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func neutron-dhcp-agent.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func neutron-metadata-agent.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func neutron-metadata-agent.config
